# $Id: smeserver-fetchmail.spec,v 1.12 2019/12/07 04:04:16 jpp Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: sme module to generate fetchmail poll
%define name smeserver-fetchmail
Name: %{name}
%define version 1.6
%define release 15
%define smepanel FetchMails
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-fetchmail-1.6-stop_bounce_loop.patch
Patch1: smeserver-fetchmail-1.6-update_iptables_rules.patch
Patch2: smeserver-fetchmail-1.6-update_event_handling.patch
Patch3: smeserver-fetchmail-1.6-add_sslfingerprint.patch
Patch4: smeserver-fetchmail-1.6-locale-2017-12-02.patch
Patch5: smeserver-fetchmail-1.6-bz10538-force_spamcheck.patch
Patch6: smeserver-fetchmail-1.6-locale-2018-12-14.patch
Patch7: smeserver-fetchmail-1.6-locale-2019-12-07.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release >= 9.0
Requires: e-smith-email >= 4.16.0-18
Requires: e-smith-formmagick >= 1.4.0-12
# for spamcheck on SME9; on SME10 0.96-19 and 2.6.0-32
Requires: qpsmtpd >= 0.96-11
Requires: smeserver-qpsmtpd >= 2.4.0-39
BuildRequires: e-smith-devtools >= 1.13.1-03
Obsoletes: sme-fetchmail
Obsoletes: smeserver-fetchmail-utf8
AutoReqProv: no

%changelog
* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 1.6-15.sme
- apply locale 2019-12-07 patch

* Fri Dec 14 2018 John Crisp <jcrsip@safeandsoundit.co.uk> 1.6.14.sme
- apply locale 2018-12-14 patch

* Sun Mar 11 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.6-13.sme
- fix no spamcheck anymore for fetchmail [SME: 10290]

* Sat Dec 02 2017 SME Translation Server <translations@contribs.org> 1.6-12.sme
- apply locale 2017-12-02 patch

* Fri May 26 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.6-11.sme
- added option field for sslfingerprint compatibility [SME: 8287]

* Wed Jan 13 2016 Daniel Berteaud <daniel@firewall-services.com> 1.6-10.sme
- Update event handling (remove broken symlinks) [SME: 9185]

* Fri Jan 8 2016 Daniel Berteaud <daniel@firewall-services.com> 1.6-9.sme
- Update iptables rules to prevent warning when starting masq [SME: 9180]

* Fri Sep 24 2015 Daniel Berteaud <daniel@firewall-services.com> 1.6-8.sme
- Fix bounce looping each time mails are fetch in case of
  permanent delivery failure [SME: 9074]

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-7.sme
- Initial release to contribs9

* Fri Feb 06 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-6.sme
- Corrected a typo in the detection of smtpd port in the template 90fetchmail
 
* Mon Jan 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-4.sme
- Add settings if smtpd TCPPort set to a non default value [sme: 8797]
- code done by ecureuil <gentil_ecureuil@hotmail.com>

* Sun Nov 2 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-3.sme
-  Recovery of large attachments with fetchmail [SME:8630]

* Sun Oct 5 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-2.sme
- bug of .gitignore in  /etc/e-smith/web/panels/manager/cgi-bin

* Sat Jun 21 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.6-1.sme
- Initial release to sme9

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.4-2.sme
- apply locale 2013-07-14 patch

* Sun Jun 3 2012 JP PIALASSE tests@pialasse.com  1.4-1.sme
- Initial version

%description
sme server enhancement to make fetchmail more useable

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
perl createlinks
echo "%{version}-%{release}" >root/etc/e-smith/db/configuration/defaults/%{smepanel}/version

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
